Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds.naming
Class NdsPartitionOperationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.naming.NamingException
                        |
                        +--com.novell.service.nds.naming.NdsPartitionOperationException

public class NdsPartitionOperationException
extends javax.naming.NamingException

Encapsulates error returns from the NDS native calls into exceptions for extended JNDI operations like syncReplica and setReplicaType

See Also:
  Serialized Form

Fields inherited from class javax.naming.NamingException
`remainingName, resolvedName, resolvedObj, rootException`

Constructor Summary
`NdsPartitionOperationException()` Constructs an NdsPartitionOperationException object with no error message string parameter.
`NdsPartitionOperationException(java.lang.String errorMessage)` Constructs an NdsPartitionOperationException object with an error message String parameter.

Methods inherited from class javax.naming.NamingException
`appendRemainingComponent, appendRemainingName, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, printStackTrace, printStackTrace, printStackTrace, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NdsPartitionOperationException

    public NdsPartitionOperationException()

  Constructs an NdsPartitionOperationException object with no error message string parameter.

### NdsPartitionOperationException

    public NdsPartitionOperationException(java.lang.String errorMessage)

  Constructs an NdsPartitionOperationException object with an error message String parameter.
  Parameters:
    `errorMessage` - The error message string associated with the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD